Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.contexts
Interface IContextManager

public interface IContextManager

A context manager tracks the sets of defined and enabled contexts within the application. The manager sends notification events to listeners when these sets change. It is also possible to retrieve any given context with its identifier.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0

Method Summary
`void` | `addContextManagerListener(IContextManagerListener contextManagerListener)` Registers an instance of `IContextManagerListener` to listen for changes to properties of this instance.
`IContext` | `getContext(String contextId)` Returns an instance of `IContext` given an identifier.
`SortedSet` | `getDefinedContextIds()` Returns the set of identifiers to defined contexts.
`SortedSet` | `getEnabledContextIds()` Returns the set of identifiers to enabled contexts.
`void` | `removeContextManagerListener(IContextManagerListener contextManagerListener)` Unregisters an instance of `IContextManagerListener` listening for changes to properties of this instance.

Method Detail

### addContextManagerListener

    public void addContextManagerListener(IContextManagerListener contextManagerListener)

  Registers an instance of `IContextManagerListener` to listen for changes to properties of this instance.

  Parameters:
    `contextManagerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

### getContext

    public IContext getContext(String contextId)

  Returns an instance of `IContext` given an identifier.

  Parameters:
    `contextId` - an identifier. Must not be `null`
  Returns:
    an instance of `IContext`.

### getDefinedContextIds

    public SortedSet getDefinedContextIds()

  Returns the set of identifiers to defined contexts. The set is sorted by the depth of the context within the tree of contexts. So, for example, a child context will always appear before its parent.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the set of identifiers to defined contexts. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

### getEnabledContextIds

    public SortedSet getEnabledContextIds()

  Returns the set of identifiers to enabled contexts. The set is sorted by the depth of the context within the tree of contexts. So, for example, a child context will always appear before its parent.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the set of identifiers to enabled contexts. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

### removeContextManagerListener

    public void removeContextManagerListener(IContextManagerListener contextManagerListener)

  Unregisters an instance of `IContextManagerListener` listening for changes to properties of this instance.

  Parameters:
    `contextManagerListener` - the instance to unregister. Must not be `null`. If an attempt is made to unregister an instance which is not already registered with this instance, no operation is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.